{% extends 'baseDashboard.html.twig' %}

{% block title %}Connection{% endblock %}

{% block body %}
<div class="body-bg">
      <section class="crancy-wc crancy-wc__full crancy-bg-cover">
        <div class="crancy-wc__form">
          <!-- Welcome Banner -->
          <div class="crancy-wc__form--middle">
            <div class="crancy-wc__form-inner">
              <div class="crancy-wc__logo">
                <a href="index.html"><img src="{{asset('assetsdash/img/logo.png')}}" alt="#" /></a>
              </div>
              <div class="crancy-wc__form-inside">
                <div class="crancy-wc__form-middle">
                  <div class="crancy-wc__form-top">
                    <div class="crancy-wc__heading pd-btm-20">
                      <h3
                        class="crancy-wc__form-title crancy-wc__form-title__one m-0"
                      >
                       Connectez-vous au compte
                      </h3>
                        {% include 'dashboard/includes/_flashMessage.html.twig' %}
                    {% if error %}
                      <div class="alert alert-danger">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
                  {% endif %}

                  {% if app.user %}
                      <div class="mb-3">
                          You are logged in as {{ app.user.userIdentifier }}, <a href="{{ path('app_logout') }}">Logout</a>
                      </div>
                 {% endif %}
                    </div>
                    <!-- Sign in Form -->
                    <form  class="crancy-wc__form-main"  method="post"  >
                      <!-- Form Group -->
                      <div class="form-group">
                        <div class="form-group__input">
                           <input type="email" value="{{ last_username }}" name="email" id="inputEmail" class="crancy-wc__form-input" autocomplete="email" required autofocus>

                        </div>
                      </div>
                      <!-- Form Group -->
                      <div class="form-group">
                        <div class="form-group__input">
                           <input type="password" name="password" id="inputPassword" class="crancy-wc__form-input" autocomplete="current-password" required>

                         
                          <span class="crancy-wc__toggle"
                            ><i class="fas fa-eye" id="toggle-icon"></i
                          ></span>
                        </div>
                      </div>
                      <!-- Form Group -->
                      <div class="form-group">
                        <div class="crancy-wc__check-inline">
                          <div class="crancy-wc__checkbox">

                             <input type="hidden" name="_csrf_token" value="{{ csrf_token('authenticate') }}" >

                            <label for="checkbox">                          
                              <input type="checkbox" class="crancy-wc__form-check" name="_remember_me"> Se souvenir de moi
                            </label>
                          </div>
                          <div class="crancy-wc__forgot">
                            <a href="{{path('app_forgot_password_request')}}" class="forgot-pass"
                              >Mot de passe oublié?</a
                            >
                          </div>
                        </div>
                      </div>
                      <!-- Form Group -->
                      <div class="form-group mg-top-30">
                        <div class="crancy-wc__button">
                          <button class="ntfmax-wc__btn" type="submit">
                            Se connecter
                          </button>
                        </div>
                       
                      
                      </div>
                      <!-- Form Group -->
                      <div class="form-group form-mg-top30">
                        <div class="crancy-wc__bottom">
                          <p class="crancy-wc__text">
                           Vous n'avez pas de compte ? Commencer
                            <a href="{{path('app_register')}}">Créer un compte</a>
                          </p>
                        </div>
                      </div>
                    </form>
                    <!-- End Sign in Form -->
                  </div>
                  <!-- Footer Top -->
                  <div class="crancy-wc__footer--top">
                   
                    <p class="crancy-wc__footer--copyright">
                      @ 2023 <a href="#">eventy.</a> All Right Reserved.
                    </p>
                  </div>
                  <!-- End Footer Top -->
                </div>
              </div>
            </div>
            <div
              class="crancy-wc__banner crancy-bg-cover"
              style="background-image: url('img/welcome-vector-shape.png')"
            >
              <div class="crancy-wc__banner--img">
                <img src="{{asset('assetsdash/img/welcome-vector.png')}}" alt="#" />
              </div>
              <div class="crancy-wc__slider">
                <!-- Sinlge Slider -->
                <div class="single-slider">
                  <div class="crancy-wc__slider--single">
                    <div class="crancy-wc__slider--content">
                      <h4 class="crancy-wc__slider--title">
                       Eventy
                      </h4>
                     
                    </div>
                  </div>
                </div>

              </div>
            </div>
          </div>
          <!-- End Welcome Banner -->
        </div>
      </section>
    </div>





{#<form method="post">
  

    <h1 class="h3 mb-3 font-weight-normal">Please sign in</h1>
    <label for="inputEmail">Email</label>
    <input type="email" value="{{ last_username }}" name="email" id="inputEmail" class="form-control" autocomplete="email" required autofocus>
    <label for="inputPassword">Password</label>
    <input type="password" name="password" id="inputPassword" class="form-control" autocomplete="current-password" required>

    <input type="hidden" name="_csrf_token"
           value="{{ csrf_token('authenticate') }}"
    >

    <div class="checkbox mb-3">
        <label>
            <input type="checkbox" name="_remember_me"> Remember me
        </label>
    </div>

    <button class="btn btn-lg btn-primary" type="submit">
        Sign in
    </button>
</form>

#}

{% endblock %}
